//
//  SlideSaver.h
//  SlideSaver
//
//  Created by Stphane Sudre on Fri Oct 20 2000.
//  Copyright (c) 2000 Stphane Sudre. All rights reserved.
//

#import <AppKit/AppKit.h>
#import <ScreenSaver/ScreenSaver.h>

@interface SlideSaver : ScreenSaverView
{
    id			configureSheet_;
    id			directoryTextView_;
    id			periodView_;
    
    NSBitmapImageRep  * imageRep_;
    NSRect 		imageRect_;
    NSRect		previousImageRect_;
    
    NSDirectoryEnumerator *enumerator_;
    NSString *		directoryLocation_;
    
    int			refreshPeriod_;
}

- (IBAction) closeSheet:(id) sender;

- (void) selectDirectory:(id) sender;
- (void) setPeriod:(id) sender;

@end
